Subject: Re: Joining Repositories

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 18 Jan 2006 08:38:45 -0800

Mathias Waack wrote:
> Hello everybody, 
> 
> we're using git with cogito as a frontend. For some reasons I forgot we have 
> some repositories which belong to the same project. To simplify the whole 
> thing I would like to join these repositories. It mainly means to move some 
> directories. So lets say I have: 
> 
> 	/r1/.git
> 	/r2/.git
> 
> and what I would like to have is
> 
> 	/r/.git
> 	   r1
>            r2
> 
> Of course the history should remain (otherwise it would be to easy). 
> 
> How should I do this?
> 

Rename the files in each repository independently (with a checkin), then 
merge the repositories.

Git *should* track across the rename, as long as it's "obvious".

	-hpa